org.apache.ivy.core.module.descriptor

## Class DefaultExtendsDescriptor

- java.lang.Object
- - org.apache.ivy.core.module.descriptor.DefaultExtendsDescriptor

All Implemented Interfaces:
  ExtendsDescriptor

    public class DefaultExtendsDescriptor
    extends java.lang.Object
    implements ExtendsDescriptor

### Constructor Summary

Constructors
Constructor and Description
`DefaultExtendsDescriptor(ModuleDescriptor parent, java.lang.String location, java.lang.String[] types)`
`DefaultExtendsDescriptor(ModuleDescriptor parent, java.lang.String location, java.lang.String[] types, boolean local)`

### Method Summary

Methods
`boolean` `areConfigurationsInherited()`
`boolean` `areDependenciesInherited()`
`java.lang.String[]` `getExtendsTypes()` Get the parts of the parent descriptor that are inherited.
`java.lang.String` `getLocation()` If there is an explicit path to check for the parent descriptor, return it.
`ModuleDescriptor` `getParentMd()`
`ModuleRevisionId` `getParentRevisionId()` get the module revision id of the declared parent descriptor
`ModuleRevisionId` `getResolvedParentRevisionId()` get the resolved revision id for `ExtendsDescriptor.getParentRevisionId()`, see `ModuleDescriptor.getResolvedModuleRevisionId()`
`boolean` `isAllInherited()`
`boolean` `isDescriptionInherited()`
`boolean` `isInfoInherited()`
`boolean` `isLocal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultExtendsDescriptor

    public DefaultExtendsDescriptor(ModuleDescriptor parent,
                            java.lang.String location,
                            java.lang.String[] types)

#### DefaultExtendsDescriptor

    public DefaultExtendsDescriptor(ModuleDescriptor parent,
                            java.lang.String location,
                            java.lang.String[] types,
                            boolean local)

### Method Detail

#### getParentRevisionId

    public ModuleRevisionId getParentRevisionId()

Description copied from interface: `ExtendsDescriptor`
get the module revision id of the declared parent descriptor

Specified by:
  `getParentRevisionId` in interface `ExtendsDescriptor`

#### getResolvedParentRevisionId

    public ModuleRevisionId getResolvedParentRevisionId()

Description copied from interface: `ExtendsDescriptor`
get the resolved revision id for `ExtendsDescriptor.getParentRevisionId()`, see `ModuleDescriptor.getResolvedModuleRevisionId()`

Specified by:
  `getResolvedParentRevisionId` in interface `ExtendsDescriptor`

#### getParentMd

    public ModuleDescriptor getParentMd()

Specified by:
  `getParentMd` in interface `ExtendsDescriptor`

#### getLocation

    public java.lang.String getLocation()

Description copied from interface: `ExtendsDescriptor`
If there is an explicit path to check for the parent descriptor, return it. Otherwise returns null.

Specified by:
  `getLocation` in interface `ExtendsDescriptor`

#### getExtendsTypes

    public java.lang.String[] getExtendsTypes()

Description copied from interface: `ExtendsDescriptor`
Get the parts of the parent descriptor that are inherited. Default supported types are `info`, `description`, `configurations`, `dependencies`, and/or `all`. Ivy extensions may add support for additional extends types.

Specified by:
  `getExtendsTypes` in interface `ExtendsDescriptor`

#### isAllInherited

    public boolean isAllInherited()

Specified by:
  `isAllInherited` in interface `ExtendsDescriptor`
Returns:
  true if the `all` extend type is specified, implying all other types

#### isInfoInherited

    public boolean isInfoInherited()

Specified by:
  `isInfoInherited` in interface `ExtendsDescriptor`
Returns:
  true if parent info attributes are inherited (organisation, branch, revision, etc)

#### isDescriptionInherited

    public boolean isDescriptionInherited()

Specified by:
  `isDescriptionInherited` in interface `ExtendsDescriptor`
Returns:
  true if parent description is inherited

#### areConfigurationsInherited

    public boolean areConfigurationsInherited()

Specified by:
  `areConfigurationsInherited` in interface `ExtendsDescriptor`
Returns:
  true if parent configurations are inherited

#### areDependenciesInherited

    public boolean areDependenciesInherited()

Specified by:
  `areDependenciesInherited` in interface `ExtendsDescriptor`
Returns:
  true if parent dependencies are inherited

#### isLocal

    public boolean isLocal()

Specified by:
  `isLocal` in interface `ExtendsDescriptor`